X2Go Bug report logs - #216
x2gobroker-agent: assumes wrong path for x2gobroker-agent.pl

version graph

Package: x2gobroker; Maintainer for x2gobroker is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker is src:x2gobroker.

Reported by: Anders Bruun Olsen <abo@dsl.dk>

Date: Wed, 22 May 2013 13:03:01 UTC

Severity: critical

Tags: pending

Fixed in version 0.0.2.2

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#216; Package x2gobroker. (Wed, 22 May 2013 13:03:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anders Bruun Olsen <abo@dsl.dk>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>.

Your message had a Version: pseudo-header with an invalid package version:

0.0.2.2 (git)

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Wed, 22 May 2013 13:03:02 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Anders Bruun Olsen <abo@dsl.dk>
To: submit@bugs.x2go.org
Subject: x2gobroker-agent: assumes wrong path for x2gobroker-agent.pl
Date: Wed, 22 May 2013 15:01:55 +0200
[Message part 1 (text/plain, inline)]
Package: x2gobroker
Version: 0.0.2.2 (git)
Severity: critical

When I build debs (debuild -uc -us) for x2gobroker from git, after the
recent security fix to x2gobroker-agent, the resulting x2gobroker-agent
tries to run /usr/local/lib/x2go/x2gobroker-agent.pl instead of
/usr/lib/x2go/x2gobroker-agent.pl. This means that autologin with
x2gobroker does not work.

-- 
Anders Bruun Olsen
It-ansvarlig
Det Danske Sprog- og Litteraturselskab
(Society for Danish Language and Literature)
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#216; Package x2gobroker. (Wed, 22 May 2013 15:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 22 May 2013 15:33:02 GMT) Full text and rfc822 format available.

Message #10 received at 216@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 216-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 216@bugs.x2go.org
Subject: X2Go issue (in src:x2gobroker) has been marked as pending for release
Date: Wed, 22 May 2013 17:29:35 +0200 (CEST)
tag #216 pending
fixed #216 0.0.2.2
thanks

Hello,

X2Go issue #216 (src:x2gobroker) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=171e8df

The issue will most likely be fixed in src:x2gobroker (0.0.2.2).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 171e8df1620f71bef0600fe3d8380c8d2a493758
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Wed May 22 17:29:27 2013 +0200

    Correctly incorporate path to x2gobroker-agent.pl into x2gobroker-agent setuid wrapper. (Fixes: #216).

diff --git a/debian/changelog b/debian/changelog
index 0749ee7..f14bb75 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,6 +3,8 @@ x2gobroker (0.0.2.2-0~x2go1) UNRELEASED; urgency=low
   * New upstream version (0.0.2.2):
     - Convert unicode type host fields into single element lists. Fix
       UCCS+zeroconf tests.
+    - Correctly incorporate path to x2gobroker-agent.pl into x2gobroker-agent
+      setuid wrapper. (Fixes: #216).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 19 May 2013 13:12:51 +0200
 


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#216; Package x2gobroker. (Wed, 22 May 2013 15:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 22 May 2013 15:33:02 GMT) Full text and rfc822 format available.

Message #15 received at 216@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 216-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 216@bugs.x2go.org
Subject: X2Go issue (in src:x2gobroker) has been marked as closed
Date: Wed, 22 May 2013 17:32:48 +0200 (CEST)
close #216
thanks

Hello,

we are very hopeful that X2Go issue #216 reported by you
has been resolved in the new release (0.0.2.2) of the
X2Go source project Ā»src:x2gobrokerĀ«.

You can view the complete changelog entry of src:x2gobroker (0.0.2.2)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2gobroker.

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=b5809e0a2cb3a2cec44fa7587c58f64750862377;hp=e0e9815beaf7d6de843ca0386cd92ed6cd14433f

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2gobroker.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2gobroker
Version: 0.0.2.2
Status: RELEASE
Date: Wed, 22 May 2013 17:32:03 +0200
Fixes: 216
Changes: 
 x2gobroker (0.0.2.2) RELEASED; urgency=low
 .
   * New upstream version (0.0.2.2):
     - Convert unicode type host fields into single element lists. Fix
       UCCS+zeroconf tests.
     - Correctly incorporate path to x2gobroker-agent.pl into x2gobroker-agent
       setuid wrapper. (Fixes: #216).


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 22 May 2013 15:33:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 0.0.2.2. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 22 May 2013 15:33:02 GMT) Full text and rfc822 format available.

Message sent on to Anders Bruun Olsen <abo@dsl.dk>:
Bug#216. (Wed, 22 May 2013 15:33:03 GMT) Full text and rfc822 format available.

Message sent on to Anders Bruun Olsen <abo@dsl.dk>:
Bug#216. (Wed, 22 May 2013 15:33:03 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 22 May 2013 15:48:02 GMT) Full text and rfc822 format available.

Notification sent to Anders Bruun Olsen <abo@dsl.dk>:
Bug acknowledged by developer. (Wed, 22 May 2013 15:48:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 20 Jun 2013 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Apr 21 04:20:46 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.